<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="body">
		<h1>#{messages['net.ihe.gazelle.cdagen.CDAClinicalDocumentEdition']}</h1>
		<h:form id="form">
			<gri:panel>
				<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.CDAClinicalDocumentEdition']}</f:facet>
				<h:panelGrid columns="5">
					<h:commandButton value="#{messages['net.ihe.gazelle.cdagen.GenerateEmptyFile']}" styleClass="gzl-btn-blue"
						actionListener="#{generatorManagerBean.generateCDAClinicalDocument()}"
						
						
						render="form" />
					<gdk:spacer height="10px" />
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.OR']}" />
					<gdk:spacer height="10px" />
					<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.Upload']}" styleClass="gzl-btn-blue"
						actionListener="#{CDAToolsMan.setCdaDoc(null)}"
						oncomplete="jq162('#upload_panel').modal('show');"
						render="upload_panel" />
				</h:panelGrid>
			</gri:panel>
			<br />
			<s:div id="contentCDA">
				<gri:panel
					rendered="#{cDAPOCDMT000040ClinicalDocumentEditorManager.selectedCDAPOCDMT000040ClinicalDocument != null}">
					<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.CDAClinicalDocumentContent']}</f:facet>
					<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.Edit']}" styleClass="gzl-btn-blue"
						action="/editor/cda/POCDMT000040ClinicalDocument.xhtml"
						
						oncomplete="jq162('#upload_panel').modal('show');" />
					<gdk:spacer height="10px" />
					<ui:include src="/editor/actions.xhtml" />
					<gdk:insert id="globalcontent"
						content="#{commonEditorManager.getAttributeAsString(cDAPOCDMT000040ClinicalDocumentEditorManager.selectedCDAPOCDMT000040ClinicalDocument, 'net.ihe.gazelle.cda')}"
						highlight="xml" />
				</gri:panel>
			</s:div>
		</h:form>
		
		<h:form id="formnullFlavor" domElementAttachment="form">
		<gri:popupPanel id="upload_panel">
			<f:facet name="header">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.UploadCDADocument']}" />
			</f:facet>
			<f:facet name="controls">
				<h:graphicImage alt="#{messages['gazelle.common.button.mp.close']}"
					value="/img/modal/close.gif" style="cursor:pointer"
					onclick="jq162('#upload_panel')}.hide()" />
			</f:facet>
			<s:decorate id="nullFlavor_view">
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.UploadACDADocument']}" />
					<rich:fileUpload id="uploadMessage"
						fileUploadListener="#{CDAToolsMan.uploadEventlistener}"
						maxFilesQuantity="1" acceptedTypes="xml" listHeight="60px"
						immediateUpload="true">
						<a4j:ajax event="uploadcomplete" render="form" execute="@this" />
					</rich:fileUpload>
					<div align="right">
						<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.Confirm']}" styleClass="gzl-btn-green"
							actionListener="#{generatorManagerBean.generateCDAClinicalDocument(CDAToolsMan.cdaDoc)}"
							onclick="jq162('#upload_panel').modal('hide');"
							render="form,messageDecoration" />
						<a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.Cancel']}" styleClass="gzl-btn-red"
							onclick="jq162('#upload_panel')}.hide()"
							execute="@this" />
					</div>
			</s:decorate>
		</gri:popupPanel>
		</h:form>
	</ui:define>
</ui:composition>
